{ pkgs ? import <nixpkgs> { } }:

with pkgs;

mkShell rec {
  nativeBuildInputs = [
    pkg-config
  ];
  buildInputs = [
    alsa-lib      # Audio
    blender       # Modeling
    clang         # C/C++ Compiler
    gcc           # Another C/C++ Compiler
    gcc-unwrapped # GCC Libs
    git-lfs       # Git LFS
    rustup        # Rust
    udev          # Audio?
    vulkan-loader # Rendering
    xorg.libXcursor xorg.libXi xorg.libXrandr # To use the x11 feature
    libxkbcommon wayland # To use the wayland feature
    gimp
    ffmpeg
  ];
  LD_LIBRARY_PATH = lib.makeLibraryPath buildInputs;

  shellHook = ''
    export LD_LIBRARY_PATH=lib/linux:$LD_LIBRARY_PATH
  '';
}
